Bug 1130282 - Change and Modify in the Guided Rule Editor, seemingly do the exact same thing code generation wise why do they both exist
Summary: Change and Modify in the Guided Rule Editor, seemingly do the exact same thin...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: 6.1.0
Assignee: manstis
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:07 UTC by Jim Tyrrell
Modified: 2014-10-03 13:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-03 13:40:05 UTC
Type: Bug


Attachments (Terms of Use)
Showing both options. (24.97 KB, image/png)
2014-08-14 19:07 UTC, Jim Tyrrell
no flags Details

Description Jim Tyrrell 2014-08-14 19:07:31 UTC
Created attachment 926882 [details]
Showing both options.

Description of problem:
Seems like in the then clause editor, the change and modify options do the exact same thing, why are they both there?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 manstis 2014-08-15 08:52:38 UTC
They do not do the same thing:

One uses a modify(x) {..} block*; the other simple calls the objects setter methods.

* in 6.0.1 the difference is more subtle; one calls the setters the other calls the setters but also an "update" method to signal the change to the rule engine.

The first will signal a change to the fact to the rule engine at runtime, the other does not.

For example:-

Modify a field
--------------
modify( $a1 ) {
    setAge( 22 )
}

Change a field
--------------
$a2.setAge( 25 );

Perhaps this is more of a (Workbench/Business Central) documentation issue?

Comment 3 Jim Tyrrell 2014-08-15 13:53:34 UTC
Wow, that is crazy subtle.  Something should be documented there.  Not sure this is a bug, but something that probably should be documented or reflected better in the UI.


Note You need to log in before you can comment on or make changes to this bug.